import QtQuick 2.15
import QtQuick.Controls 2.15

ApplicationWindow {
    id: window
    width: 640
    height: 480
    visible: true
    title: "qtbug90251"

    Slider {
        id: slider
        value: 0.5
    }

    Column {
        anchors.centerIn: parent
        Switch {
           text: "Use Dark Theme"
           onCheckedChanged: {
               if (checked)
                   mystyle.toDark()
               else
                   mystyle.toLight()
           }
        }

        Switch {
            text: "Use User Custom Slider"
            onCheckedChanged:  {
                if (checked)
                    slider.palette.window = "blue"
                else
                    slider.palette.window = undefined
            }
        }
    }
}
